Subject: Re: bug#34819: 26.1; Blank help-echo tooltips for mode line menus

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Mar 2019 12:31:00 +0200

On March 13, 2019 8:37:19 AM GMT+02:00, Phil Sainty <[email-masked]> wrote:
> On 2019-03-13 10:06, Glenn Morris wrote:
> > Bisected to c29071587c64efb30792bd72248d3c791abd9337.
> 
> I can confirm that for the current master, if I comment out parts
> of configure.ac as below before building, the problem goes away.
> 
> 
> ### Use Xdbe (-lXdbe) if available
> HAVE_XDBE=no
> ### if test "${HAVE_X11}" = "yes"; then
> ###   AC_CHECK_HEADER(X11/extensions/Xdbe.h,
> ###     [AC_CHECK_LIB(Xext, XdbeAllocateBackBufferName,
> HAVE_XDBE=yes)],
> ###     [],
> ###     [#include <X11/Xlib.h>
> ###     ])
> ###   if test $HAVE_XDBE = yes; then
> ###     XDBE_LIBS=-lXext
> ###   fi
> ###   if test $HAVE_XDBE = yes; then
> ###     AC_DEFINE(HAVE_XDBE, 1, [Define to 1 if you have the Xdbe 
> extension.])
> ###   fi
> ### fi
> AC_SUBST(XDBE_CFLAGS)
> AC_SUBST(XDBE_LIBS)

Which probably means the root cause is not double buffering itself, but some other change included in that commit.  I wonder if you can audit the changes and try to identify potential culprits.

Thanks.